%global pkg_name text

%global common_summary Haskell %{pkg_name} library

%global common_description An efficient packed Unicode text type.

%global ghc_pkg_deps ghc-deepseq-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.8.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.2
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

echo %doc README >> %{name}-devel.files


%check
# needs criterion
#cd tests
#make


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Sep  1 2010 Jens Petersen <petersen@redhat.com> - 0.8.0.0-1
- update to 0.8.0.0
- include README in devel

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 0.7.2.1-1
- BSD license
- requires deepseq

* Sat Jul 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.2.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
